Skip to content

Constancias de Situación Fiscal del RFC ​

Estos servicios permiten obtener el historico de las constancias obtenidas por nuestros servicios de un RFC en particular

Obtener todas las Constancias de Situación Fiscal almacenadas del RFC ​

/api/v1/SAT/rfcs/{rfc}/csfs ​

Este servicio permite obtener todas las Constancias de Situación Fiscal almacenadas del RFC

URL ​

bash
    GET /api/v1/SAT/rfcs/{rfc}/csfs

Headers ​

Authorization: Bearer {token}

Accept: application/json

URL Params ​

InputTypeRequiredValues acceptableDefault
pageintegerfalse

Data Params ​

txt
    None

Respuestas Posibles ​

Success

Code: 200 Success

Content:

json
{
  "data": [
    {
      "id": 4,
      "rfc_id": 1,
      "file_path": "RFC/CSFs/RFC-29-05-2024-21-11-04.pdf",
      "status": 0,
      "created_at": "2024-05-30T03:11:05.000000Z",
      "updated_at": "2024-05-30T22:12:13.000000Z"
    },
    {
      "id": 9,
      "rfc_id": 1,
      "file_path": "RFC/CSFs/RFC-31-07-2024-02-42-02.pdf",
      "status": 1,
      "created_at": "2024-07-31T08:42:03.000000Z",
      "updated_at": "2024-07-31T08:42:03.000000Z"
    }
  ],
  "links": {
    "first": "https://bridge.paladins.mx/api/v1/SAT/rfcs/RFC/csfs?page=1",
    "last": "https://bridge.paladins.mx/api/v1/SAT/rfcs/RFC/csfs?page=1",
    "prev": null,
    "next": null
  },
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 1,
    "links": [
      {
        "url": null,
        "label": "« Previous",
        "active": false
      },
      {
        "url": "https://bridge.paladins.mx/api/v1/SAT/rfcs/RFC/csfs?page=1",
        "label": "1",
        "active": true
      },
      {
        "url": null,
        "label": "Next »",
        "active": false
      }
    ],
    "path": "https://bridge.paladins.mx/api/v1/SAT/rfcs/RFC/csfs",
    "per_page": 15,
    "to": 2,
    "total": 2
  }
}

Unauthorized

Code: 401 Unauthorized

Content:

json
{
  "message": "Unauthenticated."
}
Ejemplo con curl
bash
curl --location --request GET 'https://bridge.paladins.mx/api/v1/SAT/rfcs/{rfc}/csfs' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer 3|jIoi6R40Kic8IkKtT7XQu4nUM78BqwqxTsPKtQGi67f00c2a'

Ver Constancias de Situación Fiscal ​

/api/v1/SAT/rfcs/{rfc}/csfs/{id} ​

Este servicio permite obtener los detalles de una constancia de situación fiscal almacenada

URL ​

bash
    GET /api/v1/SAT/rfcs/{rfc}/csfs/{id}

Headers ​

Authorization: Bearer {token}

Accept: application/json

URL Params ​

InputTypeRequiredValues acceptableDefault
rfcstringtrue
idnumbertrue

Data Params ​

txt
    None

Respuestas Posibles ​

Success

Code: 200 Success

Content:

json
{
  "data": {
    "id": 9,
    "rfc_id": 1,
    "file_path": "RFC/CSFs/RFC-31-07-2024-02-42-02.pdf",
    "status": 1,
    "created_at": "2024-07-31T08:42:03.000000Z",
    "updated_at": "2024-07-31T08:42:03.000000Z"
  }
}

Not Found

Code: 404 Not Found

Content:

json
{
  "message": "Record not found"
}

Unauthorized

Code: 401 Unauthorized

Content:

json
{
  "message": "Unauthenticated."
}
Ejemplo con curl
bash
curl --location --request GET 'http://127.0.0.1:8000/api/v1/SAT/rfcs/{rfc}/csfs/9' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer 3|jIoi6R40Kic8IkKtT7XQu4nUM78BqwqxTsPKtQGi67f00c2a'

Eliminar Constancias de Situación Fiscal ​

/api/v1/SAT/rfcs/{rfc}/csfs/{id} ​

Este servicio permite eliminar los detalles de una constancia de situación fiscal almacenada

URL ​

bash
    DELETE /api/v1/SAT/rfcs/{rfc}/csfs/{id}

Headers ​

Authorization: Bearer {token}

Accept: application/json

URL Params ​

InputTypeRequiredValues acceptableDefault
rfcstringtrue
idnumbertrue

Data Params ​

txt
    None

Respuestas Posibles ​

Success

Code: 204 No Content

Content:

json

Not Found

Code: 404 Not Found

Content:

json
{
  "message": "Record not found"
}

Unauthorized

Code: 401 Unauthorized

Content:

json
{
  "message": "Unauthenticated."
}
Ejemplo con curl
bash
curl --location --request DELETE 'http://127.0.0.1:8000/api/v1/SAT/rfcs/{rfc}/csfs/9' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer 3|jIoi6R40Kic8IkKtT7XQu4nUM78BqwqxTsPKtQGi67f00c2a'